=== docs/generator/requirements.txt ===
mkdocs>=1.0.1
mkdocs-material
