=== debian/changelog ===
netdata (1.12.0-1) unstable; urgency=medium

  * Merging upstream version 1.12.0.
  * Adding TODO file.
  * Merging changelog from uploads to experimental.
  * Updating copyright for new upstream version.
  * Adding stanza for glyphicons in copyright file.
  * Merging patches from experimental branch for new netdata upstream
    version.
  * Updating build-out-of-tree hacks in rules.
  * Updating node plugins install file for upstream changes.
  * Correcting wrong if statements in rules so that netdata-core-no-sse
    actually gets binaries installed (Closes: #921649).
  * Harmonizing path in install files to fix FTBFS.
  * Updating TODO file.
  * Workarounding different source directories and debhelper install files
    FTBFS by installing netdata.conf manually.
  * Correcting makefile conditionals for netdata-core-no-sse handling in
    rules again to make them actually work.
  * Enabling building of freeipmi plugin on netdata-core-no-sse too.
  * Updating manpage for current upstream version.
  * Updating watch file for non-repackaged upstream tarballs.
  * Moving files not directly interpreted by debhelper to subdirectories
    within the debian packaging.
  * Adding provides for netdata-plugins in control.
  * Shamelessly adding myself in copyright.
  * Sorting patches into comonly used subdirectories.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Feb 2019 13:30:34 +0100

netdata (1.11.1+dfsg-7) unstable; urgency=high

  * Marking sse2-support depends as i386-only.
  * Correcting wrong bugnumer in previous changelog.
  * Removing ExecReload from systemd unit (Closes: #921279).
  * Removing netdata user on purge, not on remove to make logrotate not
    fail on missing users (Closes: #920697).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Feb 2019 12:43:11 +0100

netdata (1.11.1+dfsg-6) unstable; urgency=high

  * Disabling gitlab-ci for the moment until we get it working.
  * Fixing rules when building binary-any only (Closes: #920837).
  * Using consistent naming for internal build directories.
  * Disabling debhelper verbose output during build.
  * Updating copyright file with missing entries (Closes: #920671).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 13:29:18 +0100

netdata (1.11.1+dfsg-5) unstable; urgency=medium

  * Moving netdata plugins to /usr/lib/netdata.
  * Renaming netdata-data to netdata-web.
  * Moving architecture-independent plugins to interpreter specific
    netdata-plugins packages to installations with targeted/minimized
    depends.
  * Renaming netdata to netdata-core, making netdata a meta package
    depending on the (typical) netdata components that it contained before
    the package reshuffeling.
  * Renumbering patches.
  * Adding netdata-core-no-sse on i386 with SSE2 optimizations turned off.
  * Updating TODO file.
  * Updating depends between packages for binNMU-safety.
  * Removing TODO file, keeping it in the experimental branch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Jan 2019 21:52:00 +0100

netdata (1.12.0~rc3-2) experimental; urgency=medium

  * Repeating Section for binary packages in control.
  * Reordering, formating and ordering maintainer scripts to make them
    more robust (Closes: #919973).
  * Correcting spelling typo in netdata.conf comments.
  * Sorting netdata.install file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Jan 2019 12:42:30 +0100

netdata (1.12.0~rc3-1) experimental; urgency=medium

  * Merging upstream version 1.12.0~rc3.
  * Removing debian-use-system-packaging.patch, not needed anymore.
  * Refreshing debian-use-system-python.patch.
  * Refreshing debian-use-system-exim4.patch.
  * Refreshing debian-use-python3.patch.
  * Refreshing debian-remove-infographic.patch.
  * Refreshing debian-remove-contrib-files.patch.
  * Refreshing netdata-support-symlinks.patch.
  * Refreshing gui-remove-update-button.patch.
  * Refreshing gui-remove-social-media-buttons.patch.
  * Renumbering patches.
  * Adding glyphicons to debian/copyright.
  * Removing notes about files excluded from the upstream tarball as the
    unmodified upstream tarball is used instead.
  * Updating todo file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 20 Jan 2019 10:23:51 +0100
