## netdata 1.12.1

=== debian/changelog ===
netdata (1.12.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Federico Ceratto <federico@debian.org>  Sat, 02 Mar 2019 08:34:01 +0000

netdata (1.12.1-2) unstable; urgency=medium

  * Downgrading nodejs depends in netdata-plugins-nodejs to recommends as
    not all architectures have nodejs at the moment.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Feb 2019 22:09:05 +0100

netdata (1.12.1-1) unstable; urgency=medium

  [ Lennart Weller ]
  * Add patch to remove Google Analytics from generated docs

  [ Daniel Baumann ]
  * Rediffing remove-googleanalytics.patch.
  * Opting out by default from sending anonymous statistics (Closes: #923114).
  * Merging upstream version 1.12.1.
  * Refreshing remove-googleanalytics.patch for new upstream version.
  * Updating lintian overrides.
  * Removing currently usless depends on bash as it's still an essential
    package.
  * Adding missing GPL-3-only license stanza in copyright file.
  * Debranding license references in copyright.
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 24 Feb 2019 21:32:56 +0100
