=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
  Federico Ceratto <federico@debian.org>,
  Daniel Baumann <daniel.baumann@progress-linux.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 10~),
  libipmimonitoring-dev,
  pkg-config,
  uuid-dev,
  zlib1g-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://salsa.debian.org/debian/netdata
@@ -97,7 +96,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- bash,
  netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
  ${misc:Depends},
 Suggests:
@@ -120,8 +118,9 @@
 Multi-Arch: foreign
 Depends:
  netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
+ ${misc:Depends},
+Recommends:
  nodejs,
- ${misc:Depends},
 Provides:
  netdata-plugins,
 Enhances:
