## netdata 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -248,7 +248,6 @@
 
 set(NFACCT_PLUGIN_FILES
         collectors/nfacct.plugin/plugin_nfacct.c
-        collectors/nfacct.plugin/plugin_nfacct.h
         )
 
 set(PROC_PLUGIN_FILES
@@ -373,3 +372,4 @@
         web/api/queries/query.c
         web/api/queries/query.h
         web/api/queries/average/average.c
+        web/api/queries/average/average.h
