## netdata 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # This file is only used for development (netdata in Clion)
 # It can build netdata, but you are on your own...
 
-cmake_minimum_required(VERSION 3.0.2)
-project(netdata C)
+cmake_minimum_required(VERSION 3.1.0)
+project(netdata C CXX)
 
 find_package(Threads REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -89,6 +89,55 @@
 set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${ZLIB_LIBRARIES})
 set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIRS})
 
+# -----------------------------------------------------------------------------
+# libuv multi-platform support library with a focus on asynchronous I/O
+
+pkg_check_modules(LIBUV REQUIRED libuv)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBUV_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBUV_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBUV_INCLUDE_DIRS})
+
+# -----------------------------------------------------------------------------
+# lz4 Extremely Fast Compression algorithm
+
+pkg_check_modules(LIBLZ4 REQUIRED liblz4)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBLZ4_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBLZ4_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBLZ4_INCLUDE_DIRS})
+
+# -----------------------------------------------------------------------------
+# Judy General purpose dynamic array
+
+# pkgconfig not working in Ubuntu, why? upstream package broken?
+#pkg_check_modules(JUDY REQUIRED Judy)
+#set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JUDY_CFLAGS_OTHER})
+#set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JUDY_LIBRARIES})
+#set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JUDY_INCLUDE_DIRS})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} "-lJudy")
+set(CMAKE_REQUIRED_LIBRARIES "Judy")
+check_symbol_exists("JudyLLast" "Judy.h" HAVE_JUDY)
+IF(HAVE_JUDY)
+    message(STATUS "Judy library found")
+ELSE()
+    message( FATAL_ERROR "libJudy required but not found. Try installing 'libjudy-dev' or 'Judy-devel'." )
+ENDIF()
+
+# -----------------------------------------------------------------------------
+# OpenSSL Cryptography and SSL/TLS Toolkit
+
+pkg_check_modules(OPENSSL REQUIRED openssl)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${OPENSSL_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${OPENSSL_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${OPENSSL_INCLUDE_DIRS})
+
+# -----------------------------------------------------------------------------
+# JSON-C used to health
+
+pkg_check_modules(JSON REQUIRED json-c)
+set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JSONC_CFLAGS_OTHER})
+set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JSON_LIBRARIES})
+set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JSON_INCLUDE_DIRS})
+
 
 # -----------------------------------------------------------------------------
 # Detect libcap
@@ -136,6 +185,16 @@
 
 
 # -----------------------------------------------------------------------------
+# Detect libxenstat
+
+pkg_check_modules(XENSTAT libxenstat)
+# later we use:
+# ${XENSTAT_LIBRARIES}
+# ${XENSTAT_CFLAGS_OTHER}
+# ${XENSTAT_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
 # Detect MacOS IOKit/Foundation framework
 
 IF(MACOS)
@@ -145,6 +204,71 @@
     # ${FOUNDATION}
     # ${IOKIT}
 ENDIF(MACOS)
+
+
+# -----------------------------------------------------------------------------
+# Detect libcrypto
+
+pkg_check_modules(CRYPTO libcrypto)
+# later we use:
+# ${CRYPTO_LIBRARIES}
+# ${CRYPTO_CFLAGS_OTHER}
+# ${CRYPTO_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libssl
+
+pkg_check_modules(SSL libssl)
+# later we use:
+# ${SSL_LIBRARIES}
+# ${SSL_CFLAGS_OTHER}
+# ${SSL_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libcurl
+
+pkg_check_modules(CURL libcurl)
+# later we use:
+# ${CURL_LIBRARIES}
+# ${CURL_CFLAGS_OTHER}
+# ${CURL_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libaws-cpp-sdk-core
+
+find_library(HAVE_AWS aws-cpp-sdk-core)
+# later we use:
+# ${HAVE_AWS}
+
+# -----------------------------------------------------------------------------
+# Detect libaws-cpp-sdk-kinesis
+
+find_library(HAVE_KINESIS aws-cpp-sdk-kinesis)
+# later we use:
+# ${HAVE_KINESIS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libprotobuf
+
+pkg_check_modules(PROTOBUF protobuf)
+# later we use:
+# ${PROTOBUF_LIBRARIES}
+# ${PROTOBUF_CFLAGS_OTHER}
+# ${PROTOBUF_INCLUDE_DIRS}
+
+
+# -----------------------------------------------------------------------------
+# Detect libsnappy
+
+pkg_check_modules(SNAPPY snappy)
+# later we use:
+# ${SNAPPY_LIBRARIES}
+# ${SNAPPY_CFLAGS_OTHER}
+# ${SNAPPY_INCLUDE_DIRS}
 
 
 # -----------------------------------------------------------------------------
@@ -190,7 +314,14 @@
         libnetdata/threads/threads.h
         libnetdata/url/url.c
         libnetdata/url/url.h
-        )
+        libnetdata/json/json.c
+        libnetdata/json/json.h
+        libnetdata/json/jsmn.c
+        libnetdata/json/jsmn.h
+        libnetdata/health/health.c
+        libnetdata/health/health.h
+        libnetdata/socket/security.c
+        libnetdata/socket/security.h)
 
 add_library(libnetdata OBJECT ${LIBNETDATA_FILES})
 
@@ -243,133 +374,3 @@
         )
 
 set(FREEIPMI_PLUGIN_FILES
-        collectors/freeipmi.plugin/freeipmi_plugin.c
-        )
-
-set(NFACCT_PLUGIN_FILES
-        collectors/nfacct.plugin/plugin_nfacct.c
-        )
-
-set(PROC_PLUGIN_FILES
-        collectors/proc.plugin/ipc.c
-        collectors/proc.plugin/plugin_proc.c
-        collectors/proc.plugin/plugin_proc.h
-        collectors/proc.plugin/proc_diskstats.c
-        collectors/proc.plugin/proc_mdstat.c
-        collectors/proc.plugin/proc_interrupts.c
-        collectors/proc.plugin/proc_softirqs.c
-        collectors/proc.plugin/proc_loadavg.c
-        collectors/proc.plugin/proc_meminfo.c
-        collectors/proc.plugin/proc_net_dev.c
-        collectors/proc.plugin/proc_net_ip_vs_stats.c
-        collectors/proc.plugin/proc_net_netstat.c
-        collectors/proc.plugin/proc_net_rpc_nfs.c
-        collectors/proc.plugin/proc_net_rpc_nfsd.c
-        collectors/proc.plugin/proc_net_snmp.c
-        collectors/proc.plugin/proc_net_snmp6.c
-        collectors/proc.plugin/proc_net_sctp_snmp.c
-        collectors/proc.plugin/proc_net_sockstat.c
-        collectors/proc.plugin/proc_net_sockstat6.c
-        collectors/proc.plugin/proc_net_softnet_stat.c
-        collectors/proc.plugin/proc_net_stat_conntrack.c
-        collectors/proc.plugin/proc_net_stat_synproxy.c
-        collectors/proc.plugin/proc_self_mountinfo.c
-        collectors/proc.plugin/proc_self_mountinfo.h
-        collectors/proc.plugin/zfs_common.c
-        collectors/proc.plugin/zfs_common.h
-        collectors/proc.plugin/proc_spl_kstat_zfs.c
-        collectors/proc.plugin/proc_stat.c
-        collectors/proc.plugin/proc_sys_kernel_random_entropy_avail.c
-        collectors/proc.plugin/proc_vmstat.c
-        collectors/proc.plugin/proc_uptime.c
-        collectors/proc.plugin/sys_kernel_mm_ksm.c
-        collectors/proc.plugin/sys_devices_system_edac_mc.c
-        collectors/proc.plugin/sys_devices_system_node.c
-        collectors/proc.plugin/sys_fs_btrfs.c
-        collectors/proc.plugin/sys_class_power_supply.c
-        )
-
-set(TC_PLUGIN_FILES
-        collectors/tc.plugin/plugin_tc.c
-        collectors/tc.plugin/plugin_tc.h
-        )
-
-set(MACOS_PLUGIN_FILES
-        collectors/macos.plugin/plugin_macos.c
-        collectors/macos.plugin/plugin_macos.h
-        collectors/macos.plugin/macos_sysctl.c
-        collectors/macos.plugin/macos_mach_smi.c
-        collectors/macos.plugin/macos_fw.c
-        )
-
-set(PLUGINSD_PLUGIN_FILES
-        collectors/plugins.d/plugins_d.c
-        collectors/plugins.d/plugins_d.h
-        )
-
-set(REGISTRY_PLUGIN_FILES
-        registry/registry.c
-        registry/registry.h
-        registry/registry_db.c
-        registry/registry_init.c
-        registry/registry_internals.c
-        registry/registry_internals.h
-        registry/registry_log.c
-        registry/registry_machine.c
-        registry/registry_machine.h
-        registry/registry_person.c
-        registry/registry_person.h
-        registry/registry_url.c
-        registry/registry_url.h
-        )
-
-set(STATSD_PLUGIN_FILES
-        collectors/statsd.plugin/statsd.c
-        collectors/statsd.plugin/statsd.h
-        )
-
-set(RRD_PLUGIN_FILES
-        database/rrdcalc.c
-        database/rrdcalc.h
-        database/rrdcalctemplate.c
-        database/rrdcalctemplate.h
-        database/rrddim.c
-        database/rrddimvar.c
-        database/rrddimvar.h
-        database/rrdfamily.c
-        database/rrdhost.c
-        database/rrd.c
-        database/rrd.h
-        database/rrdset.c
-        database/rrdsetvar.c
-        database/rrdsetvar.h
-        database/rrdvar.c
-        database/rrdvar.h
-        )
-
-set(WEB_PLUGIN_FILES
-        web/server/web_client.c
-        web/server/web_client.h
-        web/server/web_server.c
-        web/server/web_server.h
-        web/server/static/static-threaded.c
-        web/server/static/static-threaded.h
-        web/server/web_client_cache.c
-        web/server/web_client_cache.h
-        )
-
-set(API_PLUGIN_FILES
-        web/api/web_api_v1.c
-        web/api/web_api_v1.h
-        web/api/badges/web_buffer_svg.c
-        web/api/badges/web_buffer_svg.h
-        web/api/exporters/allmetrics.c
-        web/api/exporters/allmetrics.h
-        web/api/exporters/shell/allmetrics_shell.c
-        web/api/exporters/shell/allmetrics_shell.h
-        web/api/queries/rrdr.c
-        web/api/queries/rrdr.h
-        web/api/queries/query.c
-        web/api/queries/query.h
-        web/api/queries/average/average.c
-        web/api/queries/average/average.h
