## netdata 1.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -320,6 +320,7 @@
         libnetdata/json/jsmn.h
         libnetdata/health/health.c
         libnetdata/health/health.h
+        libnetdata/string/utf8.h
         libnetdata/socket/security.c
         libnetdata/socket/security.h)
