=== debian/changelog ===
netdata (1.16.1-2) unstable; urgency=medium

  [ Katharina Drexel ]
  * fixing group permissions for reading logs
  * correct the file permissions so that the python plugins also work

  [ Daniel Baumann ]
  * Removing 'Sign In' infobar on the bottom of the screen (Closes:
    #930504).
  * Using bash instead of sh for edit-config.
  * Renumbering patches.
  * Also adding CAP_AUDIT_WRITE for netdata to allow plugins make use of
    PAM audit (Closes: #921409).
  * Adding README.Debian for netdata-web wwith a note about Content-
    Security-Policy headers, thanks to Katharina Drexel
    <katharina.drexel@bfh.ch> (Closes: #931843).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Aug 2019 20:15:39 +0200

netdata (1.16.1-1) unstable; urgency=medium

  * Merging upstream version 1.16.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 04 Aug 2019 10:58:23 +0200

netdata (1.16.0-1) unstable; urgency=medium

  * Merging upstream version 1.16.0.
  * Refreshing remove-infographic.patch.
  * Refreshing remove-update-button.patch.
  * Updating to standards-version 4.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 08 Jul 2019 22:25:30 +0200

netdata (1.15.0-1) experimental; urgency=medium

  * Merging upstream version 1.15.0.
  * Refreshing remove-update-button.patch.
  * Updating netdata-plugins-bash.install for ioping.
  * Avoid installing aws kinesis config, its backend is not enabled yet.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 14 Jun 2019 05:49:43 +0200

netdata (1.14.0-1) experimental; urgency=medium

  * Merging upstream version 1.14.0~rc0.
  * Refreshing use-python3.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 26 Apr 2019 18:23:04 +0200

netdata (1.14.0~rc0-1) experimental; urgency=medium

  * Merging upstream version 1.14.0~rc0.
  * Refreshing remove-googleanalytics.patch.
  * Refreshing remove-login.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 18 Apr 2019 07:18:07 +0200

netdata (1.13.0-1) experimental; urgency=medium

  * Merging upstream version 1.13.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 16 Mar 2019 08:52:05 +0100
