=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Federico Ceratto <federico@debian.org>,
  Daniel Baumann <daniel.baumann@progress-linux.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  libipmimonitoring-dev,
  pkg-config,
  uuid-dev,
  zlib1g-dev,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
 Homepage: https://github.com/netdata/netdata
 Vcs-Browser: https://salsa.debian.org/debian/netdata
 Vcs-Git: https://salsa.debian.org/debian/netdata.git
