=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,9 @@
 override_dh_auto_install:
 	dh_auto_install -B build-core -- DESTDIR=$(CURDIR)/debian/tmp
 
+	# Building without aws kinesis backend (needs aws sdk)
+	rm -f debian/tmp/usr/lib/netdata/conf.d/aws_kinesis.conf
+
 ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
 	dh_auto_install -B build-core-no-sse -- DESTDIR=$(CURDIR)/debian/tmp-core-no-sse
 endif
@@ -77,6 +80,7 @@
 	# Copy architecture dependent plugins
 	mkdir -p $(TOP)-core/etc/netdata
 	cp debian/local/netdata.conf $(TOP)-core/etc/netdata
+	touch $(TOP)-core/etc/netdata/.opt-out-from-anonymous-statistics
 
 	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
 	for plugin in cgroup-network apps.plugin freeipmi.plugin; \
@@ -91,6 +95,7 @@
 
 	mkdir -p $(TOP)-core-no-sse/etc/netdata
 	cp debian/local/netdata.conf $(TOP)-core-no-sse/etc/netdata
+	touch $(TOP)-core-no-sse/etc/netdata/.opt-out-from-anonymous-statistics
 
 	mkdir -p $(TOP)-core-no-sse/usr/lib/netdata/plugins.d
 	for plugin in cgroup-network apps.plugin freeipmi.plugin; \
